apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: myapp-argo-application
  namespace: argo
spec:
  project: my-poc

  source:
    repoURL: https://gitlab.com/andrel.idt/argocd-app-config.git
    targetRevision: HEAD
    path: dev
  destination: 
    server: https://kubernetes.default.svc
    namespace: argo

  syncPolicy:
    syncOptions:
    - CreateNamespace=false

    automated:
      selfHeal: true
      prune: true
